#include "Tile.h"

Tile::Tile()
{
	RESET();
}
Tile::~Tile()
{
	if(Occupant != NULL) Occupant = NULL;
}
void Tile::RESET()
{
	Occupant	= NULL;	Ground		= 0;
	Resource	= 0;	Amount		= 0;
}
void Tile::setGround(int nGround)
{
	if		(nGround < 0)	Ground = 0;
	else if	(nGround > 15)	Ground = 15;
	else					Ground = nGround;
}